GNU bug report logs - #24490
25.1; restclient no longer sends auth header upon redirect

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Alain Picard <alain@HIDDEN>; dated Wed, 21 Sep 2016 05:47:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 24490 <at> debbugs.gnu.org:


Received: (at 24490) by debbugs.gnu.org; 22 Sep 2016 00:01:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 21 20:01:58 2016
Received: from localhost ([127.0.0.1]:60053 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bmrSg-0003Cg-0a
	for submit <at> debbugs.gnu.org; Wed, 21 Sep 2016 20:01:58 -0400
Received: from mail-vk0-f49.google.com ([209.85.213.49]:33180)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alain@HIDDEN>) id 1bmrSe-0003CT-JH
 for 24490 <at> debbugs.gnu.org; Wed, 21 Sep 2016 20:01:57 -0400
Received: by mail-vk0-f49.google.com with SMTP id 192so4213401vkl.0
 for <24490 <at> debbugs.gnu.org>; Wed, 21 Sep 2016 17:01:56 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gocatch-com.20150623.gappssmtp.com; s=20150623;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc; bh=o/ZsNWnXAV+m0XZdQ2VhxV/wk+lhEmzN85ZtZaaSpKQ=;
 b=vQulpJyE+8FjBx7cQq38BnTc2qaEYGANT7LLq/p34CnLzVPnHpsQWxq1RmRm6Xd3ri
 hR6hm/yftKC0ZDpoiFKCMFHaYcqo13TYlzsSJngqPvBKA/dx1yTd++0AAY0nS+wV7ZBy
 L/hZVCjAGoo+iyn+diS3u+6HpZ5OXVBR22QvKMYD4L+F98V5T3EMwJ+1N6nNMf9jm3zb
 jhRAxyZOzAcIn0v7uyGtHyMSbBTsDmo4C4v5qvNW1rNoDkdjpA7/46nbJfc/KbKR9AdG
 9VI1mCeCR64TuNc6bL2SRoFEZ0HEhOh2a8UoaqeVAF+hXuuRqXe+YgU1fztJOrb0NqIl
 rM3g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc;
 bh=o/ZsNWnXAV+m0XZdQ2VhxV/wk+lhEmzN85ZtZaaSpKQ=;
 b=mGD7mLBYJ+fFqrNaoG0xEbipTwtO6kTkd0vNM/QxO2YDRh2xdwkV5roiyCvajC21yV
 L5OXNPg4UVdPLzbad/JFOQq7QomcG1OB76T/Vl3slQUZHQjo3lnw9E4aHC63ozQRfJf9
 irPw4x4P7WnE6AnBdT9v3jnfUEaMrwLRM1bEwRHZCAFUllimSvBUkvuftlUEVP2alzGa
 NQGwKgRoqeBXJ7NFtvMZw88pkLjp1RFP9JLUNwbgEr+vzCmqFXK7awlpWeQJxNt+JIEA
 Q7bKqS2kOneWBFxIGJqqiJm3dDSllZmM0aeswEX0dpYQG3HQQf5U6FfXUFYcFWWuLE5L
 f65g==
X-Gm-Message-State: AE9vXwNFYBqmeGPffBBNV+/Du0pBPTTofhQQICh/wHFfq+tEQ6Vb/Xb1fF1523RtNboJGnDj7EAswPPmh6jauwBm4asLKEIjpVuxhDKm6CekAK6w4IXprPbb/y8lLoAiSdHQrvE6q+MMQ+uIUyY=
X-Received: by 10.31.221.67 with SMTP id u64mr520769vkg.45.1474502511025; Wed,
 21 Sep 2016 17:01:51 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.103.122.150 with HTTP; Wed, 21 Sep 2016 17:01:50 -0700 (PDT)
In-Reply-To: <mvmwpi5654m.fsf@HIDDEN>
References: <CAAzYSc=Kmd=+A5TA398+a_49dVNVVWOR=-KcTdntHHGzP=QaNQ@HIDDEN>
 <mvmwpi5654m.fsf@HIDDEN>
From: Alain Picard <alain@HIDDEN>
Date: Thu, 22 Sep 2016 10:01:50 +1000
Message-ID: <CAAzYSckvPc-wSaF--FKKEL-bxhRdw5KXD6PtsHctEUFT0Nr1vg@HIDDEN>
Subject: Re: bug#24490: 25.1;
 restclient no longer sends auth header upon redirect
To: Andreas Schwab <schwab@HIDDEN>
Content-Type: multipart/alternative; boundary=94eb2c07dc9263f327053d0d5ec2
X-Spam-Score: 1.2 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Well,
 curl gives you back the 303 (See Other) with the Location
 header, unless you add -L (follow redirection) in which case it reposts any
 original header (including Authorization) to the new location. i.e. "it just
 works". [...] 
 Content analysis details:   (1.2 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.5 RCVD_IN_SORBS_SPAM     RBL: SORBS: sender is a spam source
 [209.85.213.49 listed in dnsbl.sorbs.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
 trust [209.85.213.49 listed in list.dnswl.org]
 0.7 SPF_NEUTRAL            SPF: sender does not match SPF record (neutral)
 0.0 HTML_MESSAGE           BODY: HTML included in message
 -0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [209.85.213.49 listed in wl.mailspike.net]
 -0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 0.0 T_DKIM_INVALID         DKIM-Signature header exists but is not valid
 0.0 T_REMOTE_IMAGE         Message contains an external image
X-Debbugs-Envelope-To: 24490
Cc: 24490 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.1 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Well, curl gives you back the 303 (See Other) with the Location
    header, unless you add -L (follow redirection) in which case it reposts any
    original header (including Authorization) to the new location. i.e. "it just
    works". [...] 
 
 Content analysis details:   (1.1 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
                             trust
                             [209.85.213.49 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [209.85.213.49 listed in wl.mailspike.net]
  0.5 RCVD_IN_SORBS_SPAM     RBL: SORBS: sender is a spam source
                             [209.85.213.49 listed in dnsbl.sorbs.net]
  0.7 SPF_NEUTRAL            SPF: sender does not match SPF record (neutral)
  0.0 HTML_MESSAGE           BODY: HTML included in message
 -0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
  0.0 T_DKIM_INVALID         DKIM-Signature header exists but is not valid

--94eb2c07dc9263f327053d0d5ec2
Content-Type: text/plain; charset=UTF-8

Well, curl gives you back the 303 (See Other) with
the Location header, unless you add -L (follow redirection)
in which case it reposts any original header (including Authorization) to
the new location.  i.e. "it just works".

What would be nice for restclient is a separate keystroke
which either does or does not follow the redirection; sometimes
you want to debug the initial hop.  But the default should be
to do what it does now, which is to follow; i.e. "act like a browser".

Hope this helps.

  Alain

On 21 September 2016 at 18:15, Andreas Schwab <schwab@HIDDEN> wrote:

> On Sep 21 2016, Alain Picard <alain@HIDDEN> wrote:
>
> > Problem: I am using restclient.el, and hitting a server which
> > issues a redirect, and I receive a 400 Forbidden response because
> > the redirected call does not receive the authentication header
> > (I can see this from the log of my server).
>
> How does curl or wget handle this?
>
> Andreas.
>
> --
> Andreas Schwab, SUSE Labs, schwab@HIDDEN
> GPG Key fingerprint = 0196 BAD8 1CE9 1970 F4BE  1748 E4D4 88E3 0EEA B9D7
> "And now for something completely different."
>

-- 
 <http://www.gocatch.com>
<http://www.facebook.com/goCatch> <http://twitter.com/goCatchApp> 
<http://www.linkedin.com/company/gocatch> 
<https://www.instagram.com/gocatch/> 
<https://itunes.apple.com/au/app/gocatch/id444439909?mt=8> 
<https://play.google.com/store/apps/details?id=com.gocatchapp.goCatch&hl=en>
 

--94eb2c07dc9263f327053d0d5ec2
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div class=3D"gmail_default" style=3D"font-family:monospac=
e,monospace">Well, curl gives you back the 303 (See Other) with</div><div c=
lass=3D"gmail_default" style=3D"font-family:monospace,monospace">the Locati=
on header, unless you add -L (follow redirection)</div><div class=3D"gmail_=
default" style=3D"font-family:monospace,monospace">in which case it reposts=
 any original header (including Authorization) to the new location. =C2=A0i=
.e. &quot;it just works&quot;.</div><div class=3D"gmail_default" style=3D"f=
ont-family:monospace,monospace"><br></div><div class=3D"gmail_default" styl=
e=3D"font-family:monospace,monospace">What would be nice for restclient is =
a separate keystroke</div><div class=3D"gmail_default" style=3D"font-family=
:monospace,monospace">which either does or does not follow the redirection;=
 sometimes</div><div class=3D"gmail_default" style=3D"font-family:monospace=
,monospace">you want to debug the initial hop.=C2=A0 But the default should=
 be</div><div class=3D"gmail_default" style=3D"font-family:monospace,monosp=
ace">to do what it does now, which is to follow; i.e. &quot;act like a brow=
ser&quot;.</div><div class=3D"gmail_default" style=3D"font-family:monospace=
,monospace"><br></div><div class=3D"gmail_default" style=3D"font-family:mon=
ospace,monospace">Hope this helps.</div><div class=3D"gmail_default" style=
=3D"font-family:monospace,monospace"><br></div><div class=3D"gmail_default"=
 style=3D"font-family:monospace,monospace">=C2=A0 Alain</div></div><div cla=
ss=3D"gmail_extra"><br><div class=3D"gmail_quote">On 21 September 2016 at 1=
8:15, Andreas Schwab <span dir=3D"ltr">&lt;<a href=3D"mailto:schwab@HIDDEN=
" target=3D"_blank">schwab@HIDDEN</a>&gt;</span> wrote:<br><blockquote cla=
ss=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1px #ccc solid;pa=
dding-left:1ex">On Sep 21 2016, Alain Picard &lt;<a href=3D"mailto:alain@go=
catch.com">alain@HIDDEN</a>&gt; wrote:<br>
<br>
&gt; Problem: I am using restclient.el, and hitting a server which<br>
&gt; issues a redirect, and I receive a 400 Forbidden response because<br>
&gt; the redirected call does not receive the authentication header<br>
&gt; (I can see this from the log of my server).<br>
<br>
How does curl or wget handle this?<br>
<span class=3D"HOEnZb"><font color=3D"#888888"><br>
Andreas.<br>
<br>
--<br>
Andreas Schwab, SUSE Labs, <a href=3D"mailto:schwab@HIDDEN">schwab@HIDDEN=
</a><br>
GPG Key fingerprint =3D 0196 BAD8 1CE9 1970 F4BE=C2=A0 1748 E4D4 88E3 0EEA =
B9D7<br>
&quot;And now for something completely different.&quot;<br>
</font></span></blockquote></div><br></div>

<br>
<div style=3D"color:rgb(34,34,34);font-family:arial,sans-serif;background-c=
olor:rgb(255,255,255)"><a href=3D"http://www.gocatch.com" target=3D"_blank"=
><img src=3D"http://www.gocatch.com/wp-content/uploads/2015/11/Signature_Lo=
go.jpg"></a></div><div style=3D"color:rgb(34,34,34);font-family:arial,sans-=
serif;background-color:rgb(255,255,255)"><a href=3D"http://www.facebook.com=
/goCatch" target=3D"_blank"><img src=3D"http://www.gocatch.com/wp-content/u=
ploads/2015/11/Signature_Facebook.jpg"></a><a href=3D"http://twitter.com/go=
CatchApp" target=3D"_blank"><img src=3D"http://www.gocatch.com/wp-content/u=
ploads/2015/11/Signature_Twitter.jpg" style=3D"font-family:Arial,Helvetica,=
sans-serif;font-size:1.3em"></a><a href=3D"http://www.linkedin.com/company/=
gocatch" target=3D"_blank"><img src=3D"http://www.gocatch.com/wp-content/up=
loads/2015/11/Signature_LinkedIn.jpg" style=3D"font-family:Arial,Helvetica,=
sans-serif;font-size:1.3em"></a><a href=3D"https://www.instagram.com/gocatc=
h/" target=3D"_blank"><img src=3D"http://www.gocatch.com/wp-content/uploads=
/2015/11/Signature_Instagram.jpg" style=3D"font-family:Arial,Helvetica,sans=
-serif;font-size:1.3em"></a><a href=3D"https://itunes.apple.com/au/app/goca=
tch/id444439909?mt=3D8" target=3D"_blank"><img src=3D"http://www.gocatch.co=
m/wp-content/uploads/2015/11/Signature_AppStore.jpg" style=3D"font-family:A=
rial,Helvetica,sans-serif;font-size:1.3em"></a><a href=3D"https://play.goog=
le.com/store/apps/details?id=3Dcom.gocatchapp.goCatch&amp;hl=3Den" target=
=3D"_blank"><img src=3D"http://www.gocatch.com/wp-content/uploads/2015/11/S=
ignature_GooglePlay.jpg" style=3D"font-family:Arial,Helvetica,sans-serif;fo=
nt-size:1.3em"></a></div><div style=3D"color:rgb(34,34,34);font-family:aria=
l,sans-serif;background-color:rgb(255,255,255)"><div><font color=3D"#999999=
">=C2=A0</font></div></div>
--94eb2c07dc9263f327053d0d5ec2--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24490; Package emacs. Full text available.

Message received at 24490 <at> debbugs.gnu.org:


Received: (at 24490) by debbugs.gnu.org; 21 Sep 2016 08:15:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 21 04:15:08 2016
Received: from localhost ([127.0.0.1]:58753 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bmcgO-0005HG-9B
	for submit <at> debbugs.gnu.org; Wed, 21 Sep 2016 04:15:08 -0400
Received: from mx2.suse.de ([195.135.220.15]:43910)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <schwab@HIDDEN>) id 1bmcgN-0005H8-2d
 for 24490 <at> debbugs.gnu.org; Wed, 21 Sep 2016 04:15:07 -0400
X-Virus-Scanned: by amavisd-new at test-mx.suse.de
Received: from relay2.suse.de (charybdis-ext.suse.de [195.135.220.254])
 by mx2.suse.de (Postfix) with ESMTP id DCE91ABA5;
 Wed, 21 Sep 2016 08:15:05 +0000 (UTC)
From: Andreas Schwab <schwab@HIDDEN>
To: Alain Picard <alain@HIDDEN>
Subject: Re: bug#24490: 25.1;
 restclient no longer sends auth header upon redirect
References: <CAAzYSc=Kmd=+A5TA398+a_49dVNVVWOR=-KcTdntHHGzP=QaNQ@HIDDEN>
X-Yow: It's today's SPECIAL!
Date: Wed, 21 Sep 2016 10:15:05 +0200
In-Reply-To: <CAAzYSc=Kmd=+A5TA398+a_49dVNVVWOR=-KcTdntHHGzP=QaNQ@HIDDEN>
 (Alain Picard's message of "Wed, 21 Sep 2016 14:19:18 +1000")
Message-ID: <mvmwpi5654m.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.5 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -5.4 (-----)
X-Debbugs-Envelope-To: 24490
Cc: 24490 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.4 (-----)

On Sep 21 2016, Alain Picard <alain@HIDDEN> wrote:

> Problem: I am using restclient.el, and hitting a server which
> issues a redirect, and I receive a 400 Forbidden response because
> the redirected call does not receive the authentication header
> (I can see this from the log of my server).

How does curl or wget handle this?

Andreas.

-- 
Andreas Schwab, SUSE Labs, schwab@HIDDEN
GPG Key fingerprint = 0196 BAD8 1CE9 1970 F4BE  1748 E4D4 88E3 0EEA B9D7
"And now for something completely different."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24490; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 21 Sep 2016 05:46:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 21 01:46:23 2016
Received: from localhost ([127.0.0.1]:58695 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bmaMP-0001R7-67
	for submit <at> debbugs.gnu.org; Wed, 21 Sep 2016 01:46:23 -0400
Received: from eggs.gnu.org ([208.118.235.92]:56578)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alain@HIDDEN>) id 1bmZ0u-0007WN-Cl
 for submit <at> debbugs.gnu.org; Wed, 21 Sep 2016 00:20:06 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <alain@HIDDEN>) id 1bmZ0k-0000fN-24
 for submit <at> debbugs.gnu.org; Wed, 21 Sep 2016 00:19:59 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,HTML_MESSAGE,
 T_DKIM_INVALID,WEIRD_PORT autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:56131)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <alain@HIDDEN>) id 1bmZ0j-0000fB-UB
 for submit <at> debbugs.gnu.org; Wed, 21 Sep 2016 00:19:53 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:47480)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <alain@HIDDEN>) id 1bmZ0d-0001lg-A8
 for bug-gnu-emacs@HIDDEN; Wed, 21 Sep 2016 00:19:52 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <alain@HIDDEN>) id 1bmZ0X-0000c3-Et
 for bug-gnu-emacs@HIDDEN; Wed, 21 Sep 2016 00:19:47 -0400
Received: from mail-yb0-x232.google.com ([2607:f8b0:4002:c09::232]:36677)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <alain@HIDDEN>) id 1bmZ0W-0000Sh-Qr
 for bug-gnu-emacs@HIDDEN; Wed, 21 Sep 2016 00:19:41 -0400
Received: by mail-yb0-x232.google.com with SMTP id u125so20310467ybg.3
 for <bug-gnu-emacs@HIDDEN>; Tue, 20 Sep 2016 21:19:19 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gocatch-com.20150623.gappssmtp.com; s=20150623;
 h=mime-version:from:date:message-id:subject:to:cc;
 bh=/kkJVCJmvOUqOdr+77+uH6QR0c7PzbNAnhAXzTiC0TA=;
 b=wxQDtCG30wAJRyjRMq0Sc007MX4z1eo4C469MiPdlzXTe7ukMpY39wff23QznKL1d1
 FXg0/6YihTGMBjHiotXw1CFfxzQBumn9ytaRT5WXBMxGQmN982p/tJzXVt0m5eSOeXyT
 2fnfttE/3Ueh5e79vhKXdObgcZD3z4o1Y7BAYhsTXGlqhtqxxJrTNnQmJ8Yg8XWx3xnz
 cDwqfLpe5OIo1N9N7LtDLRSjtTc0p6GW5qNFSBpNIh4RLFuz/OZaiAJjmdz72XHKMaYs
 ipLL3rwTy+e+sDCnU+cuLtiXH1TohqiYKg9/8yTVV9RwUThGK0EbdpLaZLOjcv/IFnEU
 m/fw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to:cc;
 bh=/kkJVCJmvOUqOdr+77+uH6QR0c7PzbNAnhAXzTiC0TA=;
 b=jSZB0rqTjTkS/6xAoO133gMLn/Dx8ndOt0G+X2ItR0GaoJAO+TFJQJOJ/Jof3pDGfK
 A88iRxab4vjz/7KwQFBQAA/Pqqt61osakFAdm2HZJmks1v8K8ksU2gui4spLfF0I/rLU
 U51VEvccG7mbNnzHdYhhDg3Cz1HhwvIJPJJaItXzy5iBK43+FPhxUkvZbiHPnk//N/0y
 pL+TfvACv81TTp/OIbiI+cs/W8i9pHi3I+Y2vcvLCouZE0RfjyrSLKvYhXQAkDR1Xd+7
 pWCvt4cTypgtWxpV3LFz3Z6A19wcnr5L2uEKskltHCJZgim+tb/1syrVCGId9pgkcGa2
 hVuQ==
X-Gm-Message-State: AE9vXwNDt693PYzUu/X+MTg4kwVknzsiPHV3dZ185+TMHYxUGKuNZRqvqK5uDNT0OhsljNTqQu/ALv10E4QTCRBO4HuG2gwyr7DcVyvoNwkZZTgizVaiGwQKBAigc7+AeMnSwoEe8RzBCwoS+uQ=
X-Received: by 10.37.170.35 with SMTP id s32mr32401390ybi.23.1474431558738;
 Tue, 20 Sep 2016 21:19:18 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.103.122.150 with HTTP; Tue, 20 Sep 2016 21:19:18 -0700 (PDT)
From: Alain Picard <alain@HIDDEN>
Date: Wed, 21 Sep 2016 14:19:18 +1000
Message-ID: <CAAzYSc=Kmd=+A5TA398+a_49dVNVVWOR=-KcTdntHHGzP=QaNQ@HIDDEN>
Subject: 25.1; restclient no longer sends auth header upon redirect
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary=94eb2c0b73da4e17b4053cfcd9cd
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.4 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Wed, 21 Sep 2016 01:46:19 -0400
Cc: Alain Picard <alain@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.4 (----)

--94eb2c0b73da4e17b4053cfcd9cd
Content-Type: text/plain; charset=UTF-8

Dear Maintainers,

In emacs 25.1,
the code in url-http.el, line 638, states:

  ;; Do not automatically include an authorization header in the
  ;; redirect.  If needed it will be regenerated by the relevant
  ;; auth scheme when the new request happens.
  (setq url-http-extra-headers
(cl-remove "Authorization"
   url-http-extra-headers :key 'car :test 'equal))


I suspect this automatic regenration does not occur.
Problem: I am using restclient.el, and hitting a server which
issues a redirect, and I receive a 400 Forbidden response because
the redirected call does not receive the authentication header
(I can see this from the log of my server).

Here is a subset of my test http file in restclient mode:
------------------
:host = http://localhost:4348
:driver-2 = goCatch 9999

#
GET :host/api/v2/jobs
X-Gocatch-State: {"available" : true, "lat": -33.1, "lng":150.9,
"speed":15, "error":5, "direction":310 }
Authorization: :driver-2
------------------

In emacs 24, this used to return:
  [lots of text here snipped]
// GET http://localhost:4348/api/v2/jobs
// HTTP/1.1 200 OK
// Content-Type: application/json; charset=utf-8
// Cache-Control: max-age=0
// Content-Length: 1222
// Server: http-kit
// Date: Wed, 21 Sep 2016 04:13:46 GMT
// Request duration: 0.247260s


But in emacs 25 it now returns:

No or invalid authentication details are provided
// GET http://localhost:4348/api/v2/jobs
// HTTP/1.1 401 Unauthorized
// Cache-Control: max-age=0
// Content-Length: 49
// Server: http-kit
// Date: Wed, 21 Sep 2016 04:14:29 GMT
// Request duration: 0.131224s


If I comment out the 3 lines starting at line 642:
  (setq url-http-extra-headers
(cl-remove "Authorization"
   url-http-extra-headers :key 'car :test 'equal))

I get back the original, correct behaviour.


Thanks in advance, and thanks for all the great work on
emacs... I've been appreciating your hard work (and emacs) for nearly 25
years.  :-)


                   Alain Picard

================================================================


In GNU Emacs 25.1.1 (x86_64-apple-darwin13.4.0, NS appkit-1265.21 Version
10.9.5 (Build 13F1911))
 of 2016-09-18 built on builder10-9.porkrind.org
Windowing system distributor 'Apple', version 10.3.1404
Configured using:
 'configure --with-ns '--enable-locallisppath=/Library/Application
 Support/Emacs/${version}/site-lisp:/Library/Application
 Support/Emacs/site-lisp''

Configured features:
NOTIFY ACL GNUTLS LIBXML2 ZLIB TOOLKIT_SCROLL_BARS NS

Important settings:
  value of $LANG: en_AU.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Ediff

Minor modes in effect:
  magit-auto-revert-mode: t
  global-git-commit-mode: t
  async-bytecomp-package-mode: t
  show-paren-mode: t
  shell-dirtrack-mode: t
  diff-auto-refine-mode: t
  flx-ido-mode: t
  ido-everywhere: t
  winner-mode: t
  auto-insert-mode: t
  global-company-mode: t
  company-mode: t
  override-global-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t
  transient-mark-mode: t

Recent messages:
Region 29 in buffer A is empty [2 times]
Refining difference region 30 ...
ediff-next-difference: At end of the difference list
Region 29 in buffer A is empty [2 times]
Region 28 in buffer A is empty [2 times]
Region 27 in buffer A is empty [2 times]
Region 26 in buffer A is empty [2 times]
Region 19 in buffer A is empty [4 times]
Quit
Saved text until " Type"

Load-path shadows:
/Users/ap/.emacs.d/elpa/cider-browse-ns-20140725.2249/cider-browse-ns hides
/Users/ap/.emacs.d/elpa/cider-0.13.0/cider-browse-ns
/Users/ap/.emacs.d/elpa/helm-20160413.2223/helm-multi-match hides
/Users/ap/.emacs.d/elpa/helm-core-20160415.1131/helm-multi-match
/Users/ap/.emacs.d/elpa/circe-20160413.1027/lcs hides
/Users/ap/.emacs.d/elpa/lcs-20121201.555/lcs
/Users/ap/.emacs.d/elpa/circe-20160413.1027/lui hides
/Users/ap/.emacs.d/elpa/lui-20140910.112/lui
/Users/ap/.emacs.d/elpa/circe-20160413.1027/lui-logging hides
/Users/ap/.emacs.d/elpa/lui-20140910.112/lui-logging
/Users/ap/.emacs.d/elpa/circe-20160413.1027/lui-irc-colors hides
/Users/ap/.emacs.d/elpa/lui-20140910.112/lui-irc-colors
/Users/ap/.emacs.d/elpa/circe-20160413.1027/lui-format hides
/Users/ap/.emacs.d/elpa/lui-20140910.112/lui-format
/Users/ap/.emacs.d/elpa/circe-20160413.1027/lui-autopaste hides
/Users/ap/.emacs.d/elpa/lui-20140910.112/lui-autopaste
/Users/ap/.emacs.d/elpa/circe-20160413.1027/shorten hides
/Users/ap/.emacs.d/elpa/shorten-20131201.620/shorten
/Users/ap/.emacs.d/elpa/color-theme-solarized-20160219.924/solarized-theme
hides /Users/ap/.emacs.d/elpa/solarized-theme-20160408.1143/solarized-theme
/Users/ap/.emacs.d/elpa/circe-20160413.1027/tracking hides
/Users/ap/.emacs.d/elpa/tracking-20151129.319/tracking
/Users/ap/.emacs.d/elpa/circe-20160413.1027/shorten hides
/Users/ap/.emacs.d/elpa/tracking-20151129.319/shorten
/Users/ap/.emacs.d/emacs-hacks/whitespace hides
/Applications/Emacs.app/Contents/Resources/lisp/whitespace
/Users/ap/.emacs.d/elpa/org-20160411/ox hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ox
/Users/ap/.emacs.d/elpa/org-20160411/ox-texinfo hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ox-texinfo
/Users/ap/.emacs.d/elpa/org-20160411/ox-publish hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ox-publish
/Users/ap/.emacs.d/elpa/org-20160411/ox-org hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ox-org
/Users/ap/.emacs.d/elpa/org-20160411/ox-odt hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ox-odt
/Users/ap/.emacs.d/elpa/org-20160411/ox-md hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ox-md
/Users/ap/.emacs.d/elpa/org-20160411/ox-man hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ox-man
/Users/ap/.emacs.d/elpa/org-20160411/ox-latex hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ox-latex
/Users/ap/.emacs.d/elpa/org-20160411/ox-icalendar hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ox-icalendar
/Users/ap/.emacs.d/elpa/org-20160411/ox-html hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ox-html
/Users/ap/.emacs.d/elpa/org-20160411/ox-beamer hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ox-beamer
/Users/ap/.emacs.d/elpa/org-20160411/ox-ascii hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ox-ascii
/Users/ap/.emacs.d/elpa/org-20160411/org hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org
/Users/ap/.emacs.d/elpa/org-20160411/org-w3m hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-w3m
/Users/ap/.emacs.d/elpa/org-20160411/org-version hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-version
/Users/ap/.emacs.d/elpa/org-20160411/org-timer hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-timer
/Users/ap/.emacs.d/elpa/org-20160411/org-table hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-table
/Users/ap/.emacs.d/elpa/org-20160411/org-src hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-src
/Users/ap/.emacs.d/elpa/org-20160411/org-rmail hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-rmail
/Users/ap/.emacs.d/elpa/org-20160411/org-protocol hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-protocol
/Users/ap/.emacs.d/elpa/org-20160411/org-plot hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-plot
/Users/ap/.emacs.d/elpa/org-20160411/org-pcomplete hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-pcomplete
/Users/ap/.emacs.d/elpa/org-20160411/org-mouse hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-mouse
/Users/ap/.emacs.d/elpa/org-20160411/org-mobile hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-mobile
/Users/ap/.emacs.d/elpa/org-20160411/org-mhe hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-mhe
/Users/ap/.emacs.d/elpa/org-20160411/org-macs hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-macs
/Users/ap/.emacs.d/elpa/org-20160411/org-macro hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-macro
/Users/ap/.emacs.d/elpa/org-20160411/org-loaddefs hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-loaddefs
/Users/ap/.emacs.d/elpa/org-20160411/org-list hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-list
/Users/ap/.emacs.d/elpa/org-20160411/org-irc hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-irc
/Users/ap/.emacs.d/elpa/org-20160411/org-install hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-install
/Users/ap/.emacs.d/elpa/org-20160411/org-inlinetask hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-inlinetask
/Users/ap/.emacs.d/elpa/org-20160411/org-info hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-info
/Users/ap/.emacs.d/elpa/org-20160411/org-indent hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-indent
/Users/ap/.emacs.d/elpa/org-20160411/org-id hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-id
/Users/ap/.emacs.d/elpa/org-20160411/org-habit hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-habit
/Users/ap/.emacs.d/elpa/org-20160411/org-gnus hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-gnus
/Users/ap/.emacs.d/elpa/org-20160411/org-footnote hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-footnote
/Users/ap/.emacs.d/elpa/org-20160411/org-feed hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-feed
/Users/ap/.emacs.d/elpa/org-20160411/org-faces hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-faces
/Users/ap/.emacs.d/elpa/org-20160411/org-eshell hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-eshell
/Users/ap/.emacs.d/elpa/org-20160411/org-entities hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-entities
/Users/ap/.emacs.d/elpa/org-20160411/org-element hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-element
/Users/ap/.emacs.d/elpa/org-20160411/org-docview hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-docview
/Users/ap/.emacs.d/elpa/org-20160411/org-datetree hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-datetree
/Users/ap/.emacs.d/elpa/org-20160411/org-ctags hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-ctags
/Users/ap/.emacs.d/elpa/org-20160411/org-crypt hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-crypt
/Users/ap/.emacs.d/elpa/org-20160411/org-compat hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-compat
/Users/ap/.emacs.d/elpa/org-20160411/org-colview hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-colview
/Users/ap/.emacs.d/elpa/org-20160411/org-clock hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-clock
/Users/ap/.emacs.d/elpa/org-20160411/org-capture hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-capture
/Users/ap/.emacs.d/elpa/org-20160411/org-bibtex hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-bibtex
/Users/ap/.emacs.d/elpa/org-20160411/org-bbdb hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-bbdb
/Users/ap/.emacs.d/elpa/org-20160411/org-attach hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-attach
/Users/ap/.emacs.d/elpa/org-20160411/org-archive hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-archive
/Users/ap/.emacs.d/elpa/org-20160411/org-agenda hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-agenda
/Users/ap/.emacs.d/elpa/org-20160411/ob hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob
/Users/ap/.emacs.d/elpa/org-20160411/ob-tangle hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-tangle
/Users/ap/.emacs.d/elpa/org-20160411/ob-table hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-table
/Users/ap/.emacs.d/elpa/org-20160411/ob-sqlite hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-sqlite
/Users/ap/.emacs.d/elpa/org-20160411/ob-sql hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-sql
/Users/ap/.emacs.d/elpa/org-20160411/ob-shen hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-shen
/Users/ap/.emacs.d/elpa/org-20160411/ob-screen hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-screen
/Users/ap/.emacs.d/elpa/org-20160411/ob-scheme hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-scheme
/Users/ap/.emacs.d/elpa/org-20160411/ob-scala hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-scala
/Users/ap/.emacs.d/elpa/org-20160411/ob-sass hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-sass
/Users/ap/.emacs.d/elpa/org-20160411/ob-ruby hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-ruby
/Users/ap/.emacs.d/elpa/org-20160411/ob-ref hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-ref
/Users/ap/.emacs.d/elpa/org-20160411/ob-R hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-R
/Users/ap/.emacs.d/elpa/org-20160411/ob-python hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-python
/Users/ap/.emacs.d/elpa/org-20160411/ob-plantuml hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-plantuml
/Users/ap/.emacs.d/elpa/org-20160411/ob-picolisp hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-picolisp
/Users/ap/.emacs.d/elpa/org-20160411/ob-perl hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-perl
/Users/ap/.emacs.d/elpa/org-20160411/ob-org hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-org
/Users/ap/.emacs.d/elpa/org-20160411/ob-octave hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-octave
/Users/ap/.emacs.d/elpa/org-20160411/ob-ocaml hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-ocaml
/Users/ap/.emacs.d/elpa/org-20160411/ob-mscgen hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-mscgen
/Users/ap/.emacs.d/elpa/org-20160411/ob-maxima hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-maxima
/Users/ap/.emacs.d/elpa/org-20160411/ob-matlab hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-matlab
/Users/ap/.emacs.d/elpa/org-20160411/ob-makefile hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-makefile
/Users/ap/.emacs.d/elpa/org-20160411/ob-lob hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-lob
/Users/ap/.emacs.d/elpa/org-20160411/ob-lisp hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-lisp
/Users/ap/.emacs.d/elpa/org-20160411/ob-lilypond hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-lilypond
/Users/ap/.emacs.d/elpa/org-20160411/ob-ledger hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-ledger
/Users/ap/.emacs.d/elpa/org-20160411/ob-latex hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-latex
/Users/ap/.emacs.d/elpa/org-20160411/ob-keys hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-keys
/Users/ap/.emacs.d/elpa/org-20160411/ob-js hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-js
/Users/ap/.emacs.d/elpa/org-20160411/ob-java hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-java
/Users/ap/.emacs.d/elpa/org-20160411/ob-io hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-io
/Users/ap/.emacs.d/elpa/org-20160411/ob-haskell hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-haskell
/Users/ap/.emacs.d/elpa/org-20160411/ob-gnuplot hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-gnuplot
/Users/ap/.emacs.d/elpa/org-20160411/ob-fortran hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-fortran
/Users/ap/.emacs.d/elpa/org-20160411/ob-exp hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-exp
/Users/ap/.emacs.d/elpa/org-20160411/ob-eval hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-eval
/Users/ap/.emacs.d/elpa/org-20160411/ob-emacs-lisp hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-emacs-lisp
/Users/ap/.emacs.d/elpa/org-20160411/ob-dot hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-dot
/Users/ap/.emacs.d/elpa/org-20160411/ob-ditaa hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-ditaa
/Users/ap/.emacs.d/elpa/org-20160411/ob-css hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-css
/Users/ap/.emacs.d/elpa/org-20160411/ob-core hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-core
/Users/ap/.emacs.d/elpa/org-20160411/ob-comint hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-comint
/Users/ap/.emacs.d/elpa/org-20160411/ob-clojure hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-clojure
/Users/ap/.emacs.d/elpa/org-20160411/ob-calc hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-calc
/Users/ap/.emacs.d/elpa/org-20160411/ob-C hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-C
/Users/ap/.emacs.d/elpa/org-20160411/ob-awk hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-awk
/Users/ap/.emacs.d/elpa/org-20160411/ob-asymptote hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-asymptote
/Users/ap/.emacs.d/elpa/seq-2.15/seq hides
/Applications/Emacs.app/Contents/Resources/lisp/emacs-lisp/seq

Features:
(shadow sort emacsbug tramp-cache ediff-merg ediff-wind ediff-diff
ediff-mult ediff-help ediff-init ediff-util ediff eieio-opt speedbar
sb-image ezimage dframe em-unix em-term term ehelp em-script em-prompt
em-ls em-hist em-pred em-glob em-dirs em-cmpl em-basic em-banner
em-alias nroff-mode man log4j-mode esh-var esh-io esh-cmd esh-opt
esh-ext esh-proc esh-arg esh-groups eshell esh-module esh-mode esh-util
vc vc-dispatcher log-view grep macros mail-extr cider-apropos apropos
linum magit-blame magit-stash magit-bisect magit-remote magit-commit
magit-sequence magit magit-apply magit-wip magit-log magit-diff
smerge-mode magit-core magit-autorevert autorevert filenotify
magit-process magit-popup magit-mode magit-git crm magit-section
magit-utils git-commit log-edit pcvs-util add-log with-editor
async-bytecomp async cider-macroexpansion pulse js cc-mode cc-fonts
cc-guess cc-menus cc-cmds cc-styles cc-align cc-engine cc-vars cc-defs
url-cache restclient warnings tabify org-capture dabbrev dired-aux
face-remap reposition sql browse-url network-stream nsm starttls
misearch multi-isearch paren find-file-in-project bookmark pp view
cal-china lunar solar cal-dst cal-bahai cal-islam cal-hebrew holidays
hol-loaddefs diary-lib diary-loaddefs cal-iso disp-table org-rmail
org-mhe org-irc org-info org-gnus org-docview doc-view subr-x jka-compr
image-mode org-bibtex bibtex org-bbdb org-w3m hl-line server
color-theme-solarized solarized-definitions color-theme wid-edit
google-this clj-refactor pkg-info url-http tls gnutls url url-proxy
url-privacy url-expand url-methods url-history mailcap url-auth
url-cookie url-domsuf url-util url-gw json map lisp-mnt epl derived rx
hydra lv inflections sgml-mode edn peg cider tramp-sh cider-debug
cider-browse-ns cider-inspector cider-mode cider-interaction compile
arc-mode archive-mode cider-repl cider-resolve cider-test cider-overlays
cider-stacktrace cider-doc cider-grimoire cider-popup cider-eldoc
cider-client cider-common cider-util nrepl-client tramp tramp-compat
tramp-loaddefs trampver shell queue nrepl-dict cider-compat ewoc spinner
clojure-mode align imenu multiple-cursors-core rect paredit yasnippet cl
s whitespace-mode ob-ditaa org-timer org-table org-colview org-clock
org-attach vc-git diff-mode org-id org-element avl-tree org-archive
org-agenda org org-macro org-footnote org-pcomplete pcomplete org-list
org-faces org-entities noutline outline org-version ob-emacs-lisp ob
ob-tangle ob-ref ob-lob ob-table ob-exp org-src ob-keys ob-comint comint
ansi-color ob-core ob-eval org-compat org-macs org-loaddefs find-func
cal-menu calendar cal-loaddefs smex flx-ido flx ido winner whitespace
autoinsert bbdb-message sendmail message dired format-spec rfc822 mml
mml-sec epg mm-decode mm-bodies mm-encode mail-parse rfc2231 rfc2047
rfc2045 ietf-drums mailabbrev mail-utils gmm-utils mailheader bbdb
bbdb-site timezone ffap thingatpt url-parse auth-source gnus-util
mm-util help-fns mail-prsvr password-cache url-vars company-oddmuse
company-keywords company-etags etags xref cl-seq project eieio
eieio-core cl-macs company-gtags company-dabbrev-code company-dabbrev
company-files company-capf company-cmake company-xcode company-clang
company-semantic company-eclim company-template company-css company-nxml
company-bbdb company advice bookmark-ring ring my-kbd-map edmacro kmacro
solarized-dark-theme solarized dash use-package diminish bind-key
easy-mmode finder-inf cider-tracing-autoloads
closure-lint-mode-autoloads color-theme-autoloads
fringe-helper-autoloads lcs-autoloads shorten-autoloads
windata-autoloads info package epg-config seq byte-opt gv bytecomp
byte-compile cl-extra help-mode easymenu cconv cl-loaddefs pcase cl-lib
time-date mule-util tooltip eldoc electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel ns-win ucs-normalize term/common-win tool-bar dnd
fontset image regexp-opt fringe tabulated-list newcomment elisp-mode
lisp-mode prog-mode register page menu-bar rfn-eshadow timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core frame
cl-generic cham georgian utf-8-lang misc-lang vietnamese tibetan thai
tai-viet lao korean japanese eucjp-ms cp51932 hebrew greek romanian
slovak czech european ethiopic indian cyrillic chinese charscript
case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote kqueue cocoa ns
multi-tty make-network-process emacs)

Memory information:
((conses 16 1517046 206707)
 (symbols 48 58309 0)
 (miscs 40 8265 8483)
 (strings 32 229927 22382)
 (string-bytes 1 6528476)
 (vectors 16 135880)
 (vector-slots 8 3744387 160745)
 (floats 8 15254 10159)
 (intervals 56 72471 1258)
 (buffers 976 167))

-- 
 <http://www.gocatch.com>
<http://www.facebook.com/goCatch> <http://twitter.com/goCatchApp> 
<http://www.linkedin.com/company/gocatch> 
<https://www.instagram.com/gocatch/> 
<https://itunes.apple.com/au/app/gocatch/id444439909?mt=8> 
<https://play.google.com/store/apps/details?id=com.gocatchapp.goCatch&hl=en>
 

--94eb2c0b73da4e17b4053cfcd9cd
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div class=3D"gmail_default"><div class=3D"gmail_default">=
<font face=3D"monospace, monospace"><br></font></div><div class=3D"gmail_de=
fault"><font face=3D"monospace, monospace">Dear Maintainers,</font></div><d=
iv class=3D"gmail_default"><font face=3D"monospace, monospace"><br></font><=
/div><div class=3D"gmail_default"><font face=3D"monospace, monospace">In em=
acs 25.1,</font></div><div class=3D"gmail_default"><font face=3D"monospace,=
 monospace">the code in url-http.el, line 638, states:</font></div><div cla=
ss=3D"gmail_default"><font face=3D"monospace, monospace"><br></font></div><=
div class=3D"gmail_default"><font face=3D"monospace, monospace"><span class=
=3D"gmail-Apple-tab-span" style=3D"white-space:pre">	</span> =C2=A0 ;; Do n=
ot automatically include an authorization header in the</font></div><div cl=
ass=3D"gmail_default"><font face=3D"monospace, monospace"><span class=3D"gm=
ail-Apple-tab-span" style=3D"white-space:pre">	</span> =C2=A0 ;; redirect.=
=C2=A0 If needed it will be regenerated by the relevant</font></div><div cl=
ass=3D"gmail_default"><font face=3D"monospace, monospace"><span class=3D"gm=
ail-Apple-tab-span" style=3D"white-space:pre">	</span> =C2=A0 ;; auth schem=
e when the new request happens.</font></div><div class=3D"gmail_default"><f=
ont face=3D"monospace, monospace"><span class=3D"gmail-Apple-tab-span" styl=
e=3D"white-space:pre">	</span> =C2=A0 (setq url-http-extra-headers</font></=
div><div class=3D"gmail_default"><font face=3D"monospace, monospace"><span =
class=3D"gmail-Apple-tab-span" style=3D"white-space:pre">		</span> (cl-remo=
ve &quot;Authorization&quot;</font></div><div class=3D"gmail_default"><font=
 face=3D"monospace, monospace"><span class=3D"gmail-Apple-tab-span" style=
=3D"white-space:pre">			</span> =C2=A0 =C2=A0url-http-extra-headers :key &#=
39;car :test &#39;equal))</font></div><div class=3D"gmail_default"><font fa=
ce=3D"monospace, monospace"><br></font></div><div class=3D"gmail_default"><=
font face=3D"monospace, monospace"><br></font></div><div class=3D"gmail_def=
ault"><font face=3D"monospace, monospace">I suspect this automatic regenrat=
ion does not occur.</font></div><div class=3D"gmail_default"><font face=3D"=
monospace, monospace">Problem: I am using restclient.el, and hitting a serv=
er which</font></div><div class=3D"gmail_default"><font face=3D"monospace, =
monospace">issues a redirect, and I receive a 400 Forbidden response becaus=
e</font></div><div class=3D"gmail_default"><font face=3D"monospace, monospa=
ce">the redirected call does not receive the authentication header</font></=
div><div class=3D"gmail_default"><font face=3D"monospace, monospace">(I can=
 see this from the log of my server).</font></div><div class=3D"gmail_defau=
lt"><font face=3D"monospace, monospace"><br></font></div><div class=3D"gmai=
l_default"><font face=3D"monospace, monospace">Here is a subset of my test =
http file in restclient mode:</font></div><div class=3D"gmail_default"><fon=
t face=3D"monospace, monospace">------------------</font></div><div class=
=3D"gmail_default"><font face=3D"monospace, monospace">:host =3D <a href=3D=
"http://localhost:4348">http://localhost:4348</a></font></div><div class=3D=
"gmail_default"><font face=3D"monospace, monospace">:driver-2 =3D goCatch 9=
999</font></div><div class=3D"gmail_default"><font face=3D"monospace, monos=
pace"><br></font></div><div class=3D"gmail_default"><font face=3D"monospace=
, monospace">#</font></div><div class=3D"gmail_default"><font face=3D"monos=
pace, monospace">GET :host/api/v2/jobs</font></div><div class=3D"gmail_defa=
ult"><font face=3D"monospace, monospace">X-Gocatch-State: {&quot;available&=
quot; : true, &quot;lat&quot;: -33.1, &quot;lng&quot;:150.9, &quot;speed&qu=
ot;:15, &quot;error&quot;:5, &quot;direction&quot;:310 }</font></div><div c=
lass=3D"gmail_default"><font face=3D"monospace, monospace">Authorization: :=
driver-2</font></div><div class=3D"gmail_default"><font face=3D"monospace, =
monospace">------------------</font></div><div class=3D"gmail_default"><fon=
t face=3D"monospace, monospace"><br></font></div><div class=3D"gmail_defaul=
t"><font face=3D"monospace, monospace">In emacs 24, this used to return:</f=
ont></div><div class=3D"gmail_default"><font face=3D"monospace, monospace">=
=C2=A0 [lots of text here snipped]</font></div><div class=3D"gmail_default"=
><font face=3D"monospace, monospace">// GET <a href=3D"http://localhost:434=
8/api/v2/jobs">http://localhost:4348/api/v2/jobs</a></font></div><div class=
=3D"gmail_default"><font face=3D"monospace, monospace">// HTTP/1.1 200 OK</=
font></div><div class=3D"gmail_default"><font face=3D"monospace, monospace"=
>// Content-Type: application/json; charset=3Dutf-8</font></div><div class=
=3D"gmail_default"><font face=3D"monospace, monospace">// Cache-Control: ma=
x-age=3D0</font></div><div class=3D"gmail_default"><font face=3D"monospace,=
 monospace">// Content-Length: 1222</font></div><div class=3D"gmail_default=
"><font face=3D"monospace, monospace">// Server: http-kit</font></div><div =
class=3D"gmail_default"><font face=3D"monospace, monospace">// Date: Wed, 2=
1 Sep 2016 04:13:46 GMT</font></div><div class=3D"gmail_default"><font face=
=3D"monospace, monospace">// Request duration: 0.247260s</font></div><div c=
lass=3D"gmail_default"><font face=3D"monospace, monospace"><br></font></div=
><div class=3D"gmail_default"><font face=3D"monospace, monospace"><br></fon=
t></div><div class=3D"gmail_default"><font face=3D"monospace, monospace">Bu=
t in emacs 25 it now returns:</font></div><div class=3D"gmail_default"><fon=
t face=3D"monospace, monospace"><br></font></div><div class=3D"gmail_defaul=
t"><font face=3D"monospace, monospace">No or invalid authentication details=
 are provided</font></div><div class=3D"gmail_default"><font face=3D"monosp=
ace, monospace">// GET <a href=3D"http://localhost:4348/api/v2/jobs">http:/=
/localhost:4348/api/v2/jobs</a></font></div><div class=3D"gmail_default"><f=
ont face=3D"monospace, monospace">// HTTP/1.1 401 Unauthorized</font></div>=
<div class=3D"gmail_default"><font face=3D"monospace, monospace">// Cache-C=
ontrol: max-age=3D0</font></div><div class=3D"gmail_default"><font face=3D"=
monospace, monospace">// Content-Length: 49</font></div><div class=3D"gmail=
_default"><font face=3D"monospace, monospace">// Server: http-kit</font></d=
iv><div class=3D"gmail_default"><font face=3D"monospace, monospace">// Date=
: Wed, 21 Sep 2016 04:14:29 GMT</font></div><div class=3D"gmail_default"><f=
ont face=3D"monospace, monospace">// Request duration: 0.131224s</font></di=
v><div class=3D"gmail_default"><font face=3D"monospace, monospace"><br></fo=
nt></div><div class=3D"gmail_default"><font face=3D"monospace, monospace"><=
br></font></div><div class=3D"gmail_default"><font face=3D"monospace, monos=
pace">If I comment out the 3 lines starting at line 642:</font></div><div c=
lass=3D"gmail_default"><font face=3D"monospace, monospace"><span class=3D"g=
mail-Apple-tab-span" style=3D"white-space:pre">	</span> =C2=A0 (setq url-ht=
tp-extra-headers</font></div><div class=3D"gmail_default"><font face=3D"mon=
ospace, monospace"><span class=3D"gmail-Apple-tab-span" style=3D"white-spac=
e:pre">		</span> (cl-remove &quot;Authorization&quot;</font></div><div clas=
s=3D"gmail_default"><font face=3D"monospace, monospace"><span class=3D"gmai=
l-Apple-tab-span" style=3D"white-space:pre">			</span> =C2=A0 =C2=A0url-htt=
p-extra-headers :key &#39;car :test &#39;equal))</font></div><div class=3D"=
gmail_default"><font face=3D"monospace, monospace"><br></font></div><div cl=
ass=3D"gmail_default"><font face=3D"monospace, monospace">I get back the or=
iginal, correct behaviour.</font></div><div class=3D"gmail_default"><font f=
ace=3D"monospace, monospace"><br></font></div><div class=3D"gmail_default">=
<font face=3D"monospace, monospace"><br></font></div><div class=3D"gmail_de=
fault"><font face=3D"monospace, monospace">Thanks in advance, and thanks fo=
r all the great work on</font></div><div class=3D"gmail_default"><font face=
=3D"monospace, monospace">emacs... I&#39;ve been appreciating your hard wor=
k (and emacs) for nearly 25 years. =C2=A0:-)</font></div><div class=3D"gmai=
l_default"><font face=3D"monospace, monospace"><br></font></div><div class=
=3D"gmail_default"><font face=3D"monospace, monospace"><br></font></div><di=
v class=3D"gmail_default"><font face=3D"monospace, monospace">=C2=A0 =C2=A0=
 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0Alain Picard</font>=
</div><div class=3D"gmail_default"><font face=3D"monospace, monospace">=C2=
=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0</font></=
div><div class=3D"gmail_default"><font face=3D"monospace, monospace">=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D</font></div><div class=3D"gmail_defaul=
t"><font face=3D"monospace, monospace"><br></font></div><div class=3D"gmail=
_default"><font face=3D"monospace, monospace"><br></font></div><div class=
=3D"gmail_default"><font face=3D"monospace, monospace">In GNU Emacs 25.1.1 =
(x86_64-apple-darwin13.4.0, NS appkit-1265.21 Version 10.9.5 (Build 13F1911=
))</font></div><div class=3D"gmail_default"><font face=3D"monospace, monosp=
ace">=C2=A0of 2016-09-18 built on <a href=3D"http://builder10-9.porkrind.or=
g">builder10-9.porkrind.org</a></font></div><div class=3D"gmail_default"><f=
ont face=3D"monospace, monospace">Windowing system distributor &#39;Apple&#=
39;, version 10.3.1404</font></div><div class=3D"gmail_default"><font face=
=3D"monospace, monospace">Configured using:</font></div><div class=3D"gmail=
_default"><font face=3D"monospace, monospace">=C2=A0&#39;configure --with-n=
s &#39;--enable-locallisppath=3D/Library/Application</font></div><div class=
=3D"gmail_default"><font face=3D"monospace, monospace">=C2=A0Support/Emacs/=
${version}/site-lisp:/Library/Application</font></div><div class=3D"gmail_d=
efault"><font face=3D"monospace, monospace">=C2=A0Support/Emacs/site-lisp&#=
39;&#39;</font></div><div class=3D"gmail_default"><font face=3D"monospace, =
monospace"><br></font></div><div class=3D"gmail_default"><font face=3D"mono=
space, monospace">Configured features:</font></div><div class=3D"gmail_defa=
ult"><font face=3D"monospace, monospace">NOTIFY ACL GNUTLS LIBXML2 ZLIB TOO=
LKIT_SCROLL_BARS NS</font></div><div class=3D"gmail_default"><font face=3D"=
monospace, monospace"><br></font></div><div class=3D"gmail_default"><font f=
ace=3D"monospace, monospace">Important settings:</font></div><div class=3D"=
gmail_default"><font face=3D"monospace, monospace">=C2=A0 value of $LANG: e=
n_AU.UTF-8</font></div><div class=3D"gmail_default"><font face=3D"monospace=
, monospace">=C2=A0 locale-coding-system: utf-8-unix</font></div><div class=
=3D"gmail_default"><font face=3D"monospace, monospace"><br></font></div><di=
v class=3D"gmail_default"><font face=3D"monospace, monospace">Major mode: E=
diff</font></div><div class=3D"gmail_default"><font face=3D"monospace, mono=
space"><br></font></div><div class=3D"gmail_default"><font face=3D"monospac=
e, monospace">Minor modes in effect:</font></div><div class=3D"gmail_defaul=
t"><font face=3D"monospace, monospace">=C2=A0 magit-auto-revert-mode: t</fo=
nt></div><div class=3D"gmail_default"><font face=3D"monospace, monospace">=
=C2=A0 global-git-commit-mode: t</font></div><div class=3D"gmail_default"><=
font face=3D"monospace, monospace">=C2=A0 async-bytecomp-package-mode: t</f=
ont></div><div class=3D"gmail_default"><font face=3D"monospace, monospace">=
=C2=A0 show-paren-mode: t</font></div><div class=3D"gmail_default"><font fa=
ce=3D"monospace, monospace">=C2=A0 shell-dirtrack-mode: t</font></div><div =
class=3D"gmail_default"><font face=3D"monospace, monospace">=C2=A0 diff-aut=
o-refine-mode: t</font></div><div class=3D"gmail_default"><font face=3D"mon=
ospace, monospace">=C2=A0 flx-ido-mode: t</font></div><div class=3D"gmail_d=
efault"><font face=3D"monospace, monospace">=C2=A0 ido-everywhere: t</font>=
</div><div class=3D"gmail_default"><font face=3D"monospace, monospace">=C2=
=A0 winner-mode: t</font></div><div class=3D"gmail_default"><font face=3D"m=
onospace, monospace">=C2=A0 auto-insert-mode: t</font></div><div class=3D"g=
mail_default"><font face=3D"monospace, monospace">=C2=A0 global-company-mod=
e: t</font></div><div class=3D"gmail_default"><font face=3D"monospace, mono=
space">=C2=A0 company-mode: t</font></div><div class=3D"gmail_default"><fon=
t face=3D"monospace, monospace">=C2=A0 override-global-mode: t</font></div>=
<div class=3D"gmail_default"><font face=3D"monospace, monospace">=C2=A0 too=
ltip-mode: t</font></div><div class=3D"gmail_default"><font face=3D"monospa=
ce, monospace">=C2=A0 global-eldoc-mode: t</font></div><div class=3D"gmail_=
default"><font face=3D"monospace, monospace">=C2=A0 electric-indent-mode: t=
</font></div><div class=3D"gmail_default"><font face=3D"monospace, monospac=
e">=C2=A0 mouse-wheel-mode: t</font></div><div class=3D"gmail_default"><fon=
t face=3D"monospace, monospace">=C2=A0 menu-bar-mode: t</font></div><div cl=
ass=3D"gmail_default"><font face=3D"monospace, monospace">=C2=A0 file-name-=
shadow-mode: t</font></div><div class=3D"gmail_default"><font face=3D"monos=
pace, monospace">=C2=A0 global-font-lock-mode: t</font></div><div class=3D"=
gmail_default"><font face=3D"monospace, monospace">=C2=A0 font-lock-mode: t=
</font></div><div class=3D"gmail_default"><font face=3D"monospace, monospac=
e">=C2=A0 auto-composition-mode: t</font></div><div class=3D"gmail_default"=
><font face=3D"monospace, monospace">=C2=A0 auto-encryption-mode: t</font><=
/div><div class=3D"gmail_default"><font face=3D"monospace, monospace">=C2=
=A0 auto-compression-mode: t</font></div><div class=3D"gmail_default"><font=
 face=3D"monospace, monospace">=C2=A0 buffer-read-only: t</font></div><div =
class=3D"gmail_default"><font face=3D"monospace, monospace">=C2=A0 line-num=
ber-mode: t</font></div><div class=3D"gmail_default"><font face=3D"monospac=
e, monospace">=C2=A0 transient-mark-mode: t</font></div><div class=3D"gmail=
_default"><font face=3D"monospace, monospace"><br></font></div><div class=
=3D"gmail_default"><font face=3D"monospace, monospace">Recent messages:</fo=
nt></div><div class=3D"gmail_default"><font face=3D"monospace, monospace">R=
egion 29 in buffer A is empty [2 times]</font></div><div class=3D"gmail_def=
ault"><font face=3D"monospace, monospace">Refining difference region 30 ...=
</font></div><div class=3D"gmail_default"><font face=3D"monospace, monospac=
e">ediff-next-difference: At end of the difference list</font></div><div cl=
ass=3D"gmail_default"><font face=3D"monospace, monospace">Region 29 in buff=
er A is empty [2 times]</font></div><div class=3D"gmail_default"><font face=
=3D"monospace, monospace">Region 28 in buffer A is empty [2 times]</font></=
div><div class=3D"gmail_default"><font face=3D"monospace, monospace">Region=
 27 in buffer A is empty [2 times]</font></div><div class=3D"gmail_default"=
><font face=3D"monospace, monospace">Region 26 in buffer A is empty [2 time=
s]</font></div><div class=3D"gmail_default"><font face=3D"monospace, monosp=
ace">Region 19 in buffer A is empty [4 times]</font></div><div class=3D"gma=
il_default"><font face=3D"monospace, monospace">Quit</font></div><div class=
=3D"gmail_default"><font face=3D"monospace, monospace">Saved text until &qu=
ot; Type&quot;</font></div><div class=3D"gmail_default"><font face=3D"monos=
pace, monospace"><br></font></div><div class=3D"gmail_default"><font face=
=3D"monospace, monospace">Load-path shadows:</font></div><div class=3D"gmai=
l_default"><font face=3D"monospace, monospace">/Users/ap/.emacs.d/elpa/cide=
r-browse-ns-20140725.2249/cider-browse-ns hides /Users/ap/.emacs.d/elpa/cid=
er-0.13.0/cider-browse-ns</font></div><div class=3D"gmail_default"><font fa=
ce=3D"monospace, monospace">/Users/ap/.emacs.d/elpa/helm-20160413.2223/helm=
-multi-match hides /Users/ap/.emacs.d/elpa/helm-core-20160415.1131/helm-mul=
ti-match</font></div><div class=3D"gmail_default"><font face=3D"monospace, =
monospace">/Users/ap/.emacs.d/elpa/circe-20160413.1027/lcs hides /Users/ap/=
.emacs.d/elpa/lcs-20121201.555/lcs</font></div><div class=3D"gmail_default"=
><font face=3D"monospace, monospace">/Users/ap/.emacs.d/elpa/circe-20160413=
.1027/lui hides /Users/ap/.emacs.d/elpa/lui-20140910.112/lui</font></div><d=
iv class=3D"gmail_default"><font face=3D"monospace, monospace">/Users/ap/.e=
macs.d/elpa/circe-20160413.1027/lui-logging hides /Users/ap/.emacs.d/elpa/l=
ui-20140910.112/lui-logging</font></div><div class=3D"gmail_default"><font =
face=3D"monospace, monospace">/Users/ap/.emacs.d/elpa/circe-20160413.1027/l=
ui-irc-colors hides /Users/ap/.emacs.d/elpa/lui-20140910.112/lui-irc-colors=
</font></div><div class=3D"gmail_default"><font face=3D"monospace, monospac=
e">/Users/ap/.emacs.d/elpa/circe-20160413.1027/lui-format hides /Users/ap/.=
emacs.d/elpa/lui-20140910.112/lui-format</font></div><div class=3D"gmail_de=
fault"><font face=3D"monospace, monospace">/Users/ap/.emacs.d/elpa/circe-20=
160413.1027/lui-autopaste hides /Users/ap/.emacs.d/elpa/lui-20140910.112/lu=
i-autopaste</font></div><div class=3D"gmail_default"><font face=3D"monospac=
e, monospace">/Users/ap/.emacs.d/elpa/circe-20160413.1027/shorten hides /Us=
ers/ap/.emacs.d/elpa/shorten-20131201.620/shorten</font></div><div class=3D=
"gmail_default"><font face=3D"monospace, monospace">/Users/ap/.emacs.d/elpa=
/color-theme-solarized-20160219.924/solarized-theme hides /Users/ap/.emacs.=
d/elpa/solarized-theme-20160408.1143/solarized-theme</font></div><div class=
=3D"gmail_default"><font face=3D"monospace, monospace">/Users/ap/.emacs.d/e=
lpa/circe-20160413.1027/tracking hides /Users/ap/.emacs.d/elpa/tracking-201=
51129.319/tracking</font></div><div class=3D"gmail_default"><font face=3D"m=
onospace, monospace">/Users/ap/.emacs.d/elpa/circe-20160413.1027/shorten hi=
des /Users/ap/.emacs.d/elpa/tracking-20151129.319/shorten</font></div><div =
class=3D"gmail_default"><font face=3D"monospace, monospace">/Users/ap/.emac=
s.d/emacs-hacks/whitespace hides /Applications/Emacs.app/Contents/Resources=
/lisp/whitespace</font></div><div class=3D"gmail_default"><font face=3D"mon=
ospace, monospace">/Users/ap/.emacs.d/elpa/org-20160411/ox hides /Applicati=
ons/Emacs.app/Contents/Resources/lisp/org/ox</font></div><div class=3D"gmai=
l_default"><font face=3D"monospace, monospace">/Users/ap/.emacs.d/elpa/org-=
20160411/ox-texinfo hides /Applications/Emacs.app/Contents/Resources/lisp/o=
rg/ox-texinfo</font></div><div class=3D"gmail_default"><font face=3D"monosp=
ace, monospace">/Users/ap/.emacs.d/elpa/org-20160411/ox-publish hides /Appl=
ications/Emacs.app/Contents/Resources/lisp/org/ox-publish</font></div><div =
class=3D"gmail_default"><font face=3D"monospace, monospace">/Users/ap/.emac=
s.d/elpa/org-20160411/ox-org hides /Applications/Emacs.app/Contents/Resourc=
es/lisp/org/ox-org</font></div><div class=3D"gmail_default"><font face=3D"m=
onospace, monospace">/Users/ap/.emacs.d/elpa/org-20160411/ox-odt hides /App=
lications/Emacs.app/Contents/Resources/lisp/org/ox-odt</font></div><div cla=
ss=3D"gmail_default"><font face=3D"monospace, monospace">/Users/ap/.emacs.d=
/elpa/org-20160411/ox-md hides /Applications/Emacs.app/Contents/Resources/l=
isp/org/ox-md</font></div><div class=3D"gmail_default"><font face=3D"monosp=
ace, monospace">/Users/ap/.emacs.d/elpa/org-20160411/ox-man hides /Applicat=
ions/Emacs.app/Contents/Resources/lisp/org/ox-man</font></div><div class=3D=
"gmail_default"><font face=3D"monospace, monospace">/Users/ap/.emacs.d/elpa=
/org-20160411/ox-latex hides /Applications/Emacs.app/Contents/Resources/lis=
p/org/ox-latex</font></div><div class=3D"gmail_default"><font face=3D"monos=
pace, monospace">/Users/ap/.emacs.d/elpa/org-20160411/ox-icalendar hides /A=
pplications/Emacs.app/Contents/Resources/lisp/org/ox-icalendar</font></div>=
<div class=3D"gmail_default"><font face=3D"monospace, monospace">/Users/ap/=
.emacs.d/elpa/org-20160411/ox-html hides /Applications/Emacs.app/Contents/R=
esources/lisp/org/ox-html</font></div><div class=3D"gmail_default"><font fa=
ce=3D"monospace, monospace">/Users/ap/.emacs.d/elpa/org-20160411/ox-beamer =
hides /Applications/Emacs.app/Contents/Resources/lisp/org/ox-beamer</font><=
/div><div class=3D"gmail_default"><font face=3D"monospace, monospace">/User=
s/ap/.emacs.d/elpa/org-20160411/ox-ascii hides /Applications/Emacs.app/Cont=
ents/Resources/lisp/org/ox-ascii</font></div><div class=3D"gmail_default"><=
font face=3D"monospace, monospace">/Users/ap/.emacs.d/elpa/org-20160411/org=
 hides /Applications/Emacs.app/Contents/Resources/lisp/org/org</font></div>=
<div class=3D"gmail_default"><font face=3D"monospace, monospace">/Users/ap/=
.emacs.d/elpa/org-20160411/org-w3m hides /Applications/Emacs.app/Contents/R=
esources/lisp/org/org-w3m</font></div><div class=3D"gmail_default"><font fa=
ce=3D"monospace, monospace">/Users/ap/.emacs.d/elpa/org-20160411/org-versio=
n hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-version</fo=
nt></div><div class=3D"gmail_default"><font face=3D"monospace, monospace">/=
Users/ap/.emacs.d/elpa/org-20160411/org-timer hides /Applications/Emacs.app=
/Contents/Resources/lisp/org/org-timer</font></div><div class=3D"gmail_defa=
ult"><font face=3D"monospace, monospace">/Users/ap/.emacs.d/elpa/org-201604=
11/org-table hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-=
table</font></div><div class=3D"gmail_default"><font face=3D"monospace, mon=
ospace">/Users/ap/.emacs.d/elpa/org-20160411/org-src hides /Applications/Em=
acs.app/Contents/Resources/lisp/org/org-src</font></div><div class=3D"gmail=
_default"><font face=3D"monospace, monospace">/Users/ap/.emacs.d/elpa/org-2=
0160411/org-rmail hides /Applications/Emacs.app/Contents/Resources/lisp/org=
/org-rmail</font></div><div class=3D"gmail_default"><font face=3D"monospace=
, monospace">/Users/ap/.emacs.d/elpa/org-20160411/org-protocol hides /Appli=
cations/Emacs.app/Contents/Resources/lisp/org/org-protocol</font></div><div=
 class=3D"gmail_default"><font face=3D"monospace, monospace">/Users/ap/.ema=
cs.d/elpa/org-20160411/org-plot hides /Applications/Emacs.app/Contents/Reso=
urces/lisp/org/org-plot</font></div><div class=3D"gmail_default"><font face=
=3D"monospace, monospace">/Users/ap/.emacs.d/elpa/org-20160411/org-pcomplet=
e hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-pcomplete</=
font></div><div class=3D"gmail_default"><font face=3D"monospace, monospace"=
>/Users/ap/.emacs.d/elpa/org-20160411/org-mouse hides /Applications/Emacs.a=
pp/Contents/Resources/lisp/org/org-mouse</font></div><div class=3D"gmail_de=
fault"><font face=3D"monospace, monospace">/Users/ap/.emacs.d/elpa/org-2016=
0411/org-mobile hides /Applications/Emacs.app/Contents/Resources/lisp/org/o=
rg-mobile</font></div><div class=3D"gmail_default"><font face=3D"monospace,=
 monospace">/Users/ap/.emacs.d/elpa/org-20160411/org-mhe hides /Application=
s/Emacs.app/Contents/Resources/lisp/org/org-mhe</font></div><div class=3D"g=
mail_default"><font face=3D"monospace, monospace">/Users/ap/.emacs.d/elpa/o=
rg-20160411/org-macs hides /Applications/Emacs.app/Contents/Resources/lisp/=
org/org-macs</font></div><div class=3D"gmail_default"><font face=3D"monospa=
ce, monospace">/Users/ap/.emacs.d/elpa/org-20160411/org-macro hides /Applic=
ations/Emacs.app/Contents/Resources/lisp/org/org-macro</font></div><div cla=
ss=3D"gmail_default"><font face=3D"monospace, monospace">/Users/ap/.emacs.d=
/elpa/org-20160411/org-loaddefs hides /Applications/Emacs.app/Contents/Reso=
urces/lisp/org/org-loaddefs</font></div><div class=3D"gmail_default"><font =
face=3D"monospace, monospace">/Users/ap/.emacs.d/elpa/org-20160411/org-list=
 hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-list</font><=
/div><div class=3D"gmail_default"><font face=3D"monospace, monospace">/User=
s/ap/.emacs.d/elpa/org-20160411/org-irc hides /Applications/Emacs.app/Conte=
nts/Resources/lisp/org/org-irc</font></div><div class=3D"gmail_default"><fo=
nt face=3D"monospace, monospace">/Users/ap/.emacs.d/elpa/org-20160411/org-i=
nstall hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-instal=
l</font></div><div class=3D"gmail_default"><font face=3D"monospace, monospa=
ce">/Users/ap/.emacs.d/elpa/org-20160411/org-inlinetask hides /Applications=
/Emacs.app/Contents/Resources/lisp/org/org-inlinetask</font></div><div clas=
s=3D"gmail_default"><font face=3D"monospace, monospace">/Users/ap/.emacs.d/=
elpa/org-20160411/org-info hides /Applications/Emacs.app/Contents/Resources=
/lisp/org/org-info</font></div><div class=3D"gmail_default"><font face=3D"m=
onospace, monospace">/Users/ap/.emacs.d/elpa/org-20160411/org-indent hides =
/Applications/Emacs.app/Contents/Resources/lisp/org/org-indent</font></div>=
<div class=3D"gmail_default"><font face=3D"monospace, monospace">/Users/ap/=
.emacs.d/elpa/org-20160411/org-id hides /Applications/Emacs.app/Contents/Re=
sources/lisp/org/org-id</font></div><div class=3D"gmail_default"><font face=
=3D"monospace, monospace">/Users/ap/.emacs.d/elpa/org-20160411/org-habit hi=
des /Applications/Emacs.app/Contents/Resources/lisp/org/org-habit</font></d=
iv><div class=3D"gmail_default"><font face=3D"monospace, monospace">/Users/=
ap/.emacs.d/elpa/org-20160411/org-gnus hides /Applications/Emacs.app/Conten=
ts/Resources/lisp/org/org-gnus</font></div><div class=3D"gmail_default"><fo=
nt face=3D"monospace, monospace">/Users/ap/.emacs.d/elpa/org-20160411/org-f=
ootnote hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-footn=
ote</font></div><div class=3D"gmail_default"><font face=3D"monospace, monos=
pace">/Users/ap/.emacs.d/elpa/org-20160411/org-feed hides /Applications/Ema=
cs.app/Contents/Resources/lisp/org/org-feed</font></div><div class=3D"gmail=
_default"><font face=3D"monospace, monospace">/Users/ap/.emacs.d/elpa/org-2=
0160411/org-faces hides /Applications/Emacs.app/Contents/Resources/lisp/org=
/org-faces</font></div><div class=3D"gmail_default"><font face=3D"monospace=
, monospace">/Users/ap/.emacs.d/elpa/org-20160411/org-eshell hides /Applica=
tions/Emacs.app/Contents/Resources/lisp/org/org-eshell</font></div><div cla=
ss=3D"gmail_default"><font face=3D"monospace, monospace">/Users/ap/.emacs.d=
/elpa/org-20160411/org-entities hides /Applications/Emacs.app/Contents/Reso=
urces/lisp/org/org-entities</font></div><div class=3D"gmail_default"><font =
face=3D"monospace, monospace">/Users/ap/.emacs.d/elpa/org-20160411/org-elem=
ent hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-element</=
font></div><div class=3D"gmail_default"><font face=3D"monospace, monospace"=
>/Users/ap/.emacs.d/elpa/org-20160411/org-docview hides /Applications/Emacs=
.app/Contents/Resources/lisp/org/org-docview</font></div><div class=3D"gmai=
l_default"><font face=3D"monospace, monospace">/Users/ap/.emacs.d/elpa/org-=
20160411/org-datetree hides /Applications/Emacs.app/Contents/Resources/lisp=
/org/org-datetree</font></div><div class=3D"gmail_default"><font face=3D"mo=
nospace, monospace">/Users/ap/.emacs.d/elpa/org-20160411/org-ctags hides /A=
pplications/Emacs.app/Contents/Resources/lisp/org/org-ctags</font></div><di=
v class=3D"gmail_default"><font face=3D"monospace, monospace">/Users/ap/.em=
acs.d/elpa/org-20160411/org-crypt hides /Applications/Emacs.app/Contents/Re=
sources/lisp/org/org-crypt</font></div><div class=3D"gmail_default"><font f=
ace=3D"monospace, monospace">/Users/ap/.emacs.d/elpa/org-20160411/org-compa=
t hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-compat</fon=
t></div><div class=3D"gmail_default"><font face=3D"monospace, monospace">/U=
sers/ap/.emacs.d/elpa/org-20160411/org-colview hides /Applications/Emacs.ap=
p/Contents/Resources/lisp/org/org-colview</font></div><div class=3D"gmail_d=
efault"><font face=3D"monospace, monospace">/Users/ap/.emacs.d/elpa/org-201=
60411/org-clock hides /Applications/Emacs.app/Contents/Resources/lisp/org/o=
rg-clock</font></div><div class=3D"gmail_default"><font face=3D"monospace, =
monospace">/Users/ap/.emacs.d/elpa/org-20160411/org-capture hides /Applicat=
ions/Emacs.app/Contents/Resources/lisp/org/org-capture</font></div><div cla=
ss=3D"gmail_default"><font face=3D"monospace, monospace">/Users/ap/.emacs.d=
/elpa/org-20160411/org-bibtex hides /Applications/Emacs.app/Contents/Resour=
ces/lisp/org/org-bibtex</font></div><div class=3D"gmail_default"><font face=
=3D"monospace, monospace">/Users/ap/.emacs.d/elpa/org-20160411/org-bbdb hid=
es /Applications/Emacs.app/Contents/Resources/lisp/org/org-bbdb</font></div=
><div class=3D"gmail_default"><font face=3D"monospace, monospace">/Users/ap=
/.emacs.d/elpa/org-20160411/org-attach hides /Applications/Emacs.app/Conten=
ts/Resources/lisp/org/org-attach</font></div><div class=3D"gmail_default"><=
font face=3D"monospace, monospace">/Users/ap/.emacs.d/elpa/org-20160411/org=
-archive hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-arch=
ive</font></div><div class=3D"gmail_default"><font face=3D"monospace, monos=
pace">/Users/ap/.emacs.d/elpa/org-20160411/org-agenda hides /Applications/E=
macs.app/Contents/Resources/lisp/org/org-agenda</font></div><div class=3D"g=
mail_default"><font face=3D"monospace, monospace">/Users/ap/.emacs.d/elpa/o=
rg-20160411/ob hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob=
</font></div><div class=3D"gmail_default"><font face=3D"monospace, monospac=
e">/Users/ap/.emacs.d/elpa/org-20160411/ob-tangle hides /Applications/Emacs=
.app/Contents/Resources/lisp/org/ob-tangle</font></div><div class=3D"gmail_=
default"><font face=3D"monospace, monospace">/Users/ap/.emacs.d/elpa/org-20=
160411/ob-table hides /Applications/Emacs.app/Contents/Resources/lisp/org/o=
b-table</font></div><div class=3D"gmail_default"><font face=3D"monospace, m=
onospace">/Users/ap/.emacs.d/elpa/org-20160411/ob-sqlite hides /Application=
s/Emacs.app/Contents/Resources/lisp/org/ob-sqlite</font></div><div class=3D=
"gmail_default"><font face=3D"monospace, monospace">/Users/ap/.emacs.d/elpa=
/org-20160411/ob-sql hides /Applications/Emacs.app/Contents/Resources/lisp/=
org/ob-sql</font></div><div class=3D"gmail_default"><font face=3D"monospace=
, monospace">/Users/ap/.emacs.d/elpa/org-20160411/ob-shen hides /Applicatio=
ns/Emacs.app/Contents/Resources/lisp/org/ob-shen</font></div><div class=3D"=
gmail_default"><font face=3D"monospace, monospace">/Users/ap/.emacs.d/elpa/=
org-20160411/ob-screen hides /Applications/Emacs.app/Contents/Resources/lis=
p/org/ob-screen</font></div><div class=3D"gmail_default"><font face=3D"mono=
space, monospace">/Users/ap/.emacs.d/elpa/org-20160411/ob-scheme hides /App=
lications/Emacs.app/Contents/Resources/lisp/org/ob-scheme</font></div><div =
class=3D"gmail_default"><font face=3D"monospace, monospace">/Users/ap/.emac=
s.d/elpa/org-20160411/ob-scala hides /Applications/Emacs.app/Contents/Resou=
rces/lisp/org/ob-scala</font></div><div class=3D"gmail_default"><font face=
=3D"monospace, monospace">/Users/ap/.emacs.d/elpa/org-20160411/ob-sass hide=
s /Applications/Emacs.app/Contents/Resources/lisp/org/ob-sass</font></div><=
div class=3D"gmail_default"><font face=3D"monospace, monospace">/Users/ap/.=
emacs.d/elpa/org-20160411/ob-ruby hides /Applications/Emacs.app/Contents/Re=
sources/lisp/org/ob-ruby</font></div><div class=3D"gmail_default"><font fac=
e=3D"monospace, monospace">/Users/ap/.emacs.d/elpa/org-20160411/ob-ref hide=
s /Applications/Emacs.app/Contents/Resources/lisp/org/ob-ref</font></div><d=
iv class=3D"gmail_default"><font face=3D"monospace, monospace">/Users/ap/.e=
macs.d/elpa/org-20160411/ob-R hides /Applications/Emacs.app/Contents/Resour=
ces/lisp/org/ob-R</font></div><div class=3D"gmail_default"><font face=3D"mo=
nospace, monospace">/Users/ap/.emacs.d/elpa/org-20160411/ob-python hides /A=
pplications/Emacs.app/Contents/Resources/lisp/org/ob-python</font></div><di=
v class=3D"gmail_default"><font face=3D"monospace, monospace">/Users/ap/.em=
acs.d/elpa/org-20160411/ob-plantuml hides /Applications/Emacs.app/Contents/=
Resources/lisp/org/ob-plantuml</font></div><div class=3D"gmail_default"><fo=
nt face=3D"monospace, monospace">/Users/ap/.emacs.d/elpa/org-20160411/ob-pi=
colisp hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-picolis=
p</font></div><div class=3D"gmail_default"><font face=3D"monospace, monospa=
ce">/Users/ap/.emacs.d/elpa/org-20160411/ob-perl hides /Applications/Emacs.=
app/Contents/Resources/lisp/org/ob-perl</font></div><div class=3D"gmail_def=
ault"><font face=3D"monospace, monospace">/Users/ap/.emacs.d/elpa/org-20160=
411/ob-org hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-org=
</font></div><div class=3D"gmail_default"><font face=3D"monospace, monospac=
e">/Users/ap/.emacs.d/elpa/org-20160411/ob-octave hides /Applications/Emacs=
.app/Contents/Resources/lisp/org/ob-octave</font></div><div class=3D"gmail_=
default"><font face=3D"monospace, monospace">/Users/ap/.emacs.d/elpa/org-20=
160411/ob-ocaml hides /Applications/Emacs.app/Contents/Resources/lisp/org/o=
b-ocaml</font></div><div class=3D"gmail_default"><font face=3D"monospace, m=
onospace">/Users/ap/.emacs.d/elpa/org-20160411/ob-mscgen hides /Application=
s/Emacs.app/Contents/Resources/lisp/org/ob-mscgen</font></div><div class=3D=
"gmail_default"><font face=3D"monospace, monospace">/Users/ap/.emacs.d/elpa=
/org-20160411/ob-maxima hides /Applications/Emacs.app/Contents/Resources/li=
sp/org/ob-maxima</font></div><div class=3D"gmail_default"><font face=3D"mon=
ospace, monospace">/Users/ap/.emacs.d/elpa/org-20160411/ob-matlab hides /Ap=
plications/Emacs.app/Contents/Resources/lisp/org/ob-matlab</font></div><div=
 class=3D"gmail_default"><font face=3D"monospace, monospace">/Users/ap/.ema=
cs.d/elpa/org-20160411/ob-makefile hides /Applications/Emacs.app/Contents/R=
esources/lisp/org/ob-makefile</font></div><div class=3D"gmail_default"><fon=
t face=3D"monospace, monospace">/Users/ap/.emacs.d/elpa/org-20160411/ob-lob=
 hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-lob</font></d=
iv><div class=3D"gmail_default"><font face=3D"monospace, monospace">/Users/=
ap/.emacs.d/elpa/org-20160411/ob-lisp hides /Applications/Emacs.app/Content=
s/Resources/lisp/org/ob-lisp</font></div><div class=3D"gmail_default"><font=
 face=3D"monospace, monospace">/Users/ap/.emacs.d/elpa/org-20160411/ob-lily=
pond hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-lilypond<=
/font></div><div class=3D"gmail_default"><font face=3D"monospace, monospace=
">/Users/ap/.emacs.d/elpa/org-20160411/ob-ledger hides /Applications/Emacs.=
app/Contents/Resources/lisp/org/ob-ledger</font></div><div class=3D"gmail_d=
efault"><font face=3D"monospace, monospace">/Users/ap/.emacs.d/elpa/org-201=
60411/ob-latex hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob=
-latex</font></div><div class=3D"gmail_default"><font face=3D"monospace, mo=
nospace">/Users/ap/.emacs.d/elpa/org-20160411/ob-keys hides /Applications/E=
macs.app/Contents/Resources/lisp/org/ob-keys</font></div><div class=3D"gmai=
l_default"><font face=3D"monospace, monospace">/Users/ap/.emacs.d/elpa/org-=
20160411/ob-js hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob=
-js</font></div><div class=3D"gmail_default"><font face=3D"monospace, monos=
pace">/Users/ap/.emacs.d/elpa/org-20160411/ob-java hides /Applications/Emac=
s.app/Contents/Resources/lisp/org/ob-java</font></div><div class=3D"gmail_d=
efault"><font face=3D"monospace, monospace">/Users/ap/.emacs.d/elpa/org-201=
60411/ob-io hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-io=
</font></div><div class=3D"gmail_default"><font face=3D"monospace, monospac=
e">/Users/ap/.emacs.d/elpa/org-20160411/ob-haskell hides /Applications/Emac=
s.app/Contents/Resources/lisp/org/ob-haskell</font></div><div class=3D"gmai=
l_default"><font face=3D"monospace, monospace">/Users/ap/.emacs.d/elpa/org-=
20160411/ob-gnuplot hides /Applications/Emacs.app/Contents/Resources/lisp/o=
rg/ob-gnuplot</font></div><div class=3D"gmail_default"><font face=3D"monosp=
ace, monospace">/Users/ap/.emacs.d/elpa/org-20160411/ob-fortran hides /Appl=
ications/Emacs.app/Contents/Resources/lisp/org/ob-fortran</font></div><div =
class=3D"gmail_default"><font face=3D"monospace, monospace">/Users/ap/.emac=
s.d/elpa/org-20160411/ob-exp hides /Applications/Emacs.app/Contents/Resourc=
es/lisp/org/ob-exp</font></div><div class=3D"gmail_default"><font face=3D"m=
onospace, monospace">/Users/ap/.emacs.d/elpa/org-20160411/ob-eval hides /Ap=
plications/Emacs.app/Contents/Resources/lisp/org/ob-eval</font></div><div c=
lass=3D"gmail_default"><font face=3D"monospace, monospace">/Users/ap/.emacs=
.d/elpa/org-20160411/ob-emacs-lisp hides /Applications/Emacs.app/Contents/R=
esources/lisp/org/ob-emacs-lisp</font></div><div class=3D"gmail_default"><f=
ont face=3D"monospace, monospace">/Users/ap/.emacs.d/elpa/org-20160411/ob-d=
ot hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-dot</font><=
/div><div class=3D"gmail_default"><font face=3D"monospace, monospace">/User=
s/ap/.emacs.d/elpa/org-20160411/ob-ditaa hides /Applications/Emacs.app/Cont=
ents/Resources/lisp/org/ob-ditaa</font></div><div class=3D"gmail_default"><=
font face=3D"monospace, monospace">/Users/ap/.emacs.d/elpa/org-20160411/ob-=
css hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-css</font>=
</div><div class=3D"gmail_default"><font face=3D"monospace, monospace">/Use=
rs/ap/.emacs.d/elpa/org-20160411/ob-core hides /Applications/Emacs.app/Cont=
ents/Resources/lisp/org/ob-core</font></div><div class=3D"gmail_default"><f=
ont face=3D"monospace, monospace">/Users/ap/.emacs.d/elpa/org-20160411/ob-c=
omint hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-comint</=
font></div><div class=3D"gmail_default"><font face=3D"monospace, monospace"=
>/Users/ap/.emacs.d/elpa/org-20160411/ob-clojure hides /Applications/Emacs.=
app/Contents/Resources/lisp/org/ob-clojure</font></div><div class=3D"gmail_=
default"><font face=3D"monospace, monospace">/Users/ap/.emacs.d/elpa/org-20=
160411/ob-calc hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob=
-calc</font></div><div class=3D"gmail_default"><font face=3D"monospace, mon=
ospace">/Users/ap/.emacs.d/elpa/org-20160411/ob-C hides /Applications/Emacs=
.app/Contents/Resources/lisp/org/ob-C</font></div><div class=3D"gmail_defau=
lt"><font face=3D"monospace, monospace">/Users/ap/.emacs.d/elpa/org-2016041=
1/ob-awk hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-awk</=
font></div><div class=3D"gmail_default"><font face=3D"monospace, monospace"=
>/Users/ap/.emacs.d/elpa/org-20160411/ob-asymptote hides /Applications/Emac=
s.app/Contents/Resources/lisp/org/ob-asymptote</font></div><div class=3D"gm=
ail_default"><font face=3D"monospace, monospace">/Users/ap/.emacs.d/elpa/se=
q-2.15/seq hides /Applications/Emacs.app/Contents/Resources/lisp/emacs-lisp=
/seq</font></div><div class=3D"gmail_default"><font face=3D"monospace, mono=
space"><br></font></div><div class=3D"gmail_default"><font face=3D"monospac=
e, monospace">Features:</font></div><div class=3D"gmail_default"><font face=
=3D"monospace, monospace">(shadow sort emacsbug tramp-cache ediff-merg edif=
f-wind ediff-diff</font></div><div class=3D"gmail_default"><font face=3D"mo=
nospace, monospace">ediff-mult ediff-help ediff-init ediff-util ediff eieio=
-opt speedbar</font></div><div class=3D"gmail_default"><font face=3D"monosp=
ace, monospace">sb-image ezimage dframe em-unix em-term term ehelp em-scrip=
t em-prompt</font></div><div class=3D"gmail_default"><font face=3D"monospac=
e, monospace">em-ls em-hist em-pred em-glob em-dirs em-cmpl em-basic em-ban=
ner</font></div><div class=3D"gmail_default"><font face=3D"monospace, monos=
pace">em-alias nroff-mode man log4j-mode esh-var esh-io esh-cmd esh-opt</fo=
nt></div><div class=3D"gmail_default"><font face=3D"monospace, monospace">e=
sh-ext esh-proc esh-arg esh-groups eshell esh-module esh-mode esh-util</fon=
t></div><div class=3D"gmail_default"><font face=3D"monospace, monospace">vc=
 vc-dispatcher log-view grep macros mail-extr cider-apropos apropos</font><=
/div><div class=3D"gmail_default"><font face=3D"monospace, monospace">linum=
 magit-blame magit-stash magit-bisect magit-remote magit-commit</font></div=
><div class=3D"gmail_default"><font face=3D"monospace, monospace">magit-seq=
uence magit magit-apply magit-wip magit-log magit-diff</font></div><div cla=
ss=3D"gmail_default"><font face=3D"monospace, monospace">smerge-mode magit-=
core magit-autorevert autorevert filenotify</font></div><div class=3D"gmail=
_default"><font face=3D"monospace, monospace">magit-process magit-popup mag=
it-mode magit-git crm magit-section</font></div><div class=3D"gmail_default=
"><font face=3D"monospace, monospace">magit-utils git-commit log-edit pcvs-=
util add-log with-editor</font></div><div class=3D"gmail_default"><font fac=
e=3D"monospace, monospace">async-bytecomp async cider-macroexpansion pulse =
js cc-mode cc-fonts</font></div><div class=3D"gmail_default"><font face=3D"=
monospace, monospace">cc-guess cc-menus cc-cmds cc-styles cc-align cc-engin=
e cc-vars cc-defs</font></div><div class=3D"gmail_default"><font face=3D"mo=
nospace, monospace">url-cache restclient warnings tabify org-capture dabbre=
v dired-aux</font></div><div class=3D"gmail_default"><font face=3D"monospac=
e, monospace">face-remap reposition sql browse-url network-stream nsm start=
tls</font></div><div class=3D"gmail_default"><font face=3D"monospace, monos=
pace">misearch multi-isearch paren find-file-in-project bookmark pp view</f=
ont></div><div class=3D"gmail_default"><font face=3D"monospace, monospace">=
cal-china lunar solar cal-dst cal-bahai cal-islam cal-hebrew holidays</font=
></div><div class=3D"gmail_default"><font face=3D"monospace, monospace">hol=
-loaddefs diary-lib diary-loaddefs cal-iso disp-table org-rmail</font></div=
><div class=3D"gmail_default"><font face=3D"monospace, monospace">org-mhe o=
rg-irc org-info org-gnus org-docview doc-view subr-x jka-compr</font></div>=
<div class=3D"gmail_default"><font face=3D"monospace, monospace">image-mode=
 org-bibtex bibtex org-bbdb org-w3m hl-line server</font></div><div class=
=3D"gmail_default"><font face=3D"monospace, monospace">color-theme-solarize=
d solarized-definitions color-theme wid-edit</font></div><div class=3D"gmai=
l_default"><font face=3D"monospace, monospace">google-this clj-refactor pkg=
-info url-http tls gnutls url url-proxy</font></div><div class=3D"gmail_def=
ault"><font face=3D"monospace, monospace">url-privacy url-expand url-method=
s url-history mailcap url-auth</font></div><div class=3D"gmail_default"><fo=
nt face=3D"monospace, monospace">url-cookie url-domsuf url-util url-gw json=
 map lisp-mnt epl derived rx</font></div><div class=3D"gmail_default"><font=
 face=3D"monospace, monospace">hydra lv inflections sgml-mode edn peg cider=
 tramp-sh cider-debug</font></div><div class=3D"gmail_default"><font face=
=3D"monospace, monospace">cider-browse-ns cider-inspector cider-mode cider-=
interaction compile</font></div><div class=3D"gmail_default"><font face=3D"=
monospace, monospace">arc-mode archive-mode cider-repl cider-resolve cider-=
test cider-overlays</font></div><div class=3D"gmail_default"><font face=3D"=
monospace, monospace">cider-stacktrace cider-doc cider-grimoire cider-popup=
 cider-eldoc</font></div><div class=3D"gmail_default"><font face=3D"monospa=
ce, monospace">cider-client cider-common cider-util nrepl-client tramp tram=
p-compat</font></div><div class=3D"gmail_default"><font face=3D"monospace, =
monospace">tramp-loaddefs trampver shell queue nrepl-dict cider-compat ewoc=
 spinner</font></div><div class=3D"gmail_default"><font face=3D"monospace, =
monospace">clojure-mode align imenu multiple-cursors-core rect paredit yasn=
ippet cl</font></div><div class=3D"gmail_default"><font face=3D"monospace, =
monospace">s whitespace-mode ob-ditaa org-timer org-table org-colview org-c=
lock</font></div><div class=3D"gmail_default"><font face=3D"monospace, mono=
space">org-attach vc-git diff-mode org-id org-element avl-tree org-archive<=
/font></div><div class=3D"gmail_default"><font face=3D"monospace, monospace=
">org-agenda org org-macro org-footnote org-pcomplete pcomplete org-list</f=
ont></div><div class=3D"gmail_default"><font face=3D"monospace, monospace">=
org-faces org-entities noutline outline org-version ob-emacs-lisp ob</font>=
</div><div class=3D"gmail_default"><font face=3D"monospace, monospace">ob-t=
angle ob-ref ob-lob ob-table ob-exp org-src ob-keys ob-comint comint</font>=
</div><div class=3D"gmail_default"><font face=3D"monospace, monospace">ansi=
-color ob-core ob-eval org-compat org-macs org-loaddefs find-func</font></d=
iv><div class=3D"gmail_default"><font face=3D"monospace, monospace">cal-men=
u calendar cal-loaddefs smex flx-ido flx ido winner whitespace</font></div>=
<div class=3D"gmail_default"><font face=3D"monospace, monospace">autoinsert=
 bbdb-message sendmail message dired format-spec rfc822 mml</font></div><di=
v class=3D"gmail_default"><font face=3D"monospace, monospace">mml-sec epg m=
m-decode mm-bodies mm-encode mail-parse rfc2231 rfc2047</font></div><div cl=
ass=3D"gmail_default"><font face=3D"monospace, monospace">rfc2045 ietf-drum=
s mailabbrev mail-utils gmm-utils mailheader bbdb</font></div><div class=3D=
"gmail_default"><font face=3D"monospace, monospace">bbdb-site timezone ffap=
 thingatpt url-parse auth-source gnus-util</font></div><div class=3D"gmail_=
default"><font face=3D"monospace, monospace">mm-util help-fns mail-prsvr pa=
ssword-cache url-vars company-oddmuse</font></div><div class=3D"gmail_defau=
lt"><font face=3D"monospace, monospace">company-keywords company-etags etag=
s xref cl-seq project eieio</font></div><div class=3D"gmail_default"><font =
face=3D"monospace, monospace">eieio-core cl-macs company-gtags company-dabb=
rev-code company-dabbrev</font></div><div class=3D"gmail_default"><font fac=
e=3D"monospace, monospace">company-files company-capf company-cmake company=
-xcode company-clang</font></div><div class=3D"gmail_default"><font face=3D=
"monospace, monospace">company-semantic company-eclim company-template comp=
any-css company-nxml</font></div><div class=3D"gmail_default"><font face=3D=
"monospace, monospace">company-bbdb company advice bookmark-ring ring my-kb=
d-map edmacro kmacro</font></div><div class=3D"gmail_default"><font face=3D=
"monospace, monospace">solarized-dark-theme solarized dash use-package dimi=
nish bind-key</font></div><div class=3D"gmail_default"><font face=3D"monosp=
ace, monospace">easy-mmode finder-inf cider-tracing-autoloads</font></div><=
div class=3D"gmail_default"><font face=3D"monospace, monospace">closure-lin=
t-mode-autoloads color-theme-autoloads</font></div><div class=3D"gmail_defa=
ult"><font face=3D"monospace, monospace">fringe-helper-autoloads lcs-autolo=
ads shorten-autoloads</font></div><div class=3D"gmail_default"><font face=
=3D"monospace, monospace">windata-autoloads info package epg-config seq byt=
e-opt gv bytecomp</font></div><div class=3D"gmail_default"><font face=3D"mo=
nospace, monospace">byte-compile cl-extra help-mode easymenu cconv cl-loadd=
efs pcase cl-lib</font></div><div class=3D"gmail_default"><font face=3D"mon=
ospace, monospace">time-date mule-util tooltip eldoc electric uniquify edif=
f-hook vc-hooks</font></div><div class=3D"gmail_default"><font face=3D"mono=
space, monospace">lisp-float-type mwheel ns-win ucs-normalize term/common-w=
in tool-bar dnd</font></div><div class=3D"gmail_default"><font face=3D"mono=
space, monospace">fontset image regexp-opt fringe tabulated-list newcomment=
 elisp-mode</font></div><div class=3D"gmail_default"><font face=3D"monospac=
e, monospace">lisp-mode prog-mode register page menu-bar rfn-eshadow timer =
select</font></div><div class=3D"gmail_default"><font face=3D"monospace, mo=
nospace">scroll-bar mouse jit-lock font-lock syntax facemenu font-core fram=
e</font></div><div class=3D"gmail_default"><font face=3D"monospace, monospa=
ce">cl-generic cham georgian utf-8-lang misc-lang vietnamese tibetan thai</=
font></div><div class=3D"gmail_default"><font face=3D"monospace, monospace"=
>tai-viet lao korean japanese eucjp-ms cp51932 hebrew greek romanian</font>=
</div><div class=3D"gmail_default"><font face=3D"monospace, monospace">slov=
ak czech european ethiopic indian cyrillic chinese charscript</font></div><=
div class=3D"gmail_default"><font face=3D"monospace, monospace">case-table =
epa-hook jka-cmpr-hook help simple abbrev minibuffer</font></div><div class=
=3D"gmail_default"><font face=3D"monospace, monospace">cl-preloaded nadvice=
 loaddefs button faces cus-face macroexp files</font></div><div class=3D"gm=
ail_default"><font face=3D"monospace, monospace">text-properties overlay sh=
a1 md5 base64 format env code-pages mule</font></div><div class=3D"gmail_de=
fault"><font face=3D"monospace, monospace">custom widget hashtable-print-re=
adable backquote kqueue cocoa ns</font></div><div class=3D"gmail_default"><=
font face=3D"monospace, monospace">multi-tty make-network-process emacs)</f=
ont></div><div class=3D"gmail_default"><font face=3D"monospace, monospace">=
<br></font></div><div class=3D"gmail_default"><font face=3D"monospace, mono=
space">Memory information:</font></div><div class=3D"gmail_default"><font f=
ace=3D"monospace, monospace">((conses 16 1517046 206707)</font></div><div c=
lass=3D"gmail_default"><font face=3D"monospace, monospace">=C2=A0(symbols 4=
8 58309 0)</font></div><div class=3D"gmail_default"><font face=3D"monospace=
, monospace">=C2=A0(miscs 40 8265 8483)</font></div><div class=3D"gmail_def=
ault"><font face=3D"monospace, monospace">=C2=A0(strings 32 229927 22382)</=
font></div><div class=3D"gmail_default"><font face=3D"monospace, monospace"=
>=C2=A0(string-bytes 1 6528476)</font></div><div class=3D"gmail_default"><f=
ont face=3D"monospace, monospace">=C2=A0(vectors 16 135880)</font></div><di=
v class=3D"gmail_default"><font face=3D"monospace, monospace">=C2=A0(vector=
-slots 8 3744387 160745)</font></div><div class=3D"gmail_default"><font fac=
e=3D"monospace, monospace">=C2=A0(floats 8 15254 10159)</font></div><div cl=
ass=3D"gmail_default"><font face=3D"monospace, monospace">=C2=A0(intervals =
56 72471 1258)</font></div><div class=3D"gmail_default"><font face=3D"monos=
pace, monospace">=C2=A0(buffers 976 167))</font></div><div style=3D"font-fa=
mily:monospace,monospace"><br></div></div></div>

<br>
<div style=3D"color:rgb(34,34,34);font-family:arial,sans-serif;background-c=
olor:rgb(255,255,255)"><a href=3D"http://www.gocatch.com" target=3D"_blank"=
><img src=3D"http://www.gocatch.com/wp-content/uploads/2015/11/Signature_Lo=
go.jpg"></a></div><div style=3D"color:rgb(34,34,34);font-family:arial,sans-=
serif;background-color:rgb(255,255,255)"><a href=3D"http://www.facebook.com=
/goCatch" target=3D"_blank"><img src=3D"http://www.gocatch.com/wp-content/u=
ploads/2015/11/Signature_Facebook.jpg"></a><a href=3D"http://twitter.com/go=
CatchApp" target=3D"_blank"><img src=3D"http://www.gocatch.com/wp-content/u=
ploads/2015/11/Signature_Twitter.jpg" style=3D"font-family:Arial,Helvetica,=
sans-serif;font-size:1.3em"></a><a href=3D"http://www.linkedin.com/company/=
gocatch" target=3D"_blank"><img src=3D"http://www.gocatch.com/wp-content/up=
loads/2015/11/Signature_LinkedIn.jpg" style=3D"font-family:Arial,Helvetica,=
sans-serif;font-size:1.3em"></a><a href=3D"https://www.instagram.com/gocatc=
h/" target=3D"_blank"><img src=3D"http://www.gocatch.com/wp-content/uploads=
/2015/11/Signature_Instagram.jpg" style=3D"font-family:Arial,Helvetica,sans=
-serif;font-size:1.3em"></a><a href=3D"https://itunes.apple.com/au/app/goca=
tch/id444439909?mt=3D8" target=3D"_blank"><img src=3D"http://www.gocatch.co=
m/wp-content/uploads/2015/11/Signature_AppStore.jpg" style=3D"font-family:A=
rial,Helvetica,sans-serif;font-size:1.3em"></a><a href=3D"https://play.goog=
le.com/store/apps/details?id=3Dcom.gocatchapp.goCatch&amp;hl=3Den" target=
=3D"_blank"><img src=3D"http://www.gocatch.com/wp-content/uploads/2015/11/S=
ignature_GooglePlay.jpg" style=3D"font-family:Arial,Helvetica,sans-serif;fo=
nt-size:1.3em"></a></div><div style=3D"color:rgb(34,34,34);font-family:aria=
l,sans-serif;background-color:rgb(255,255,255)"><div><font color=3D"#999999=
">=C2=A0</font></div></div>
--94eb2c0b73da4e17b4053cfcd9cd--




Acknowledgement sent to Alain Picard <alain@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#24490; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.